Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.gvt
Class UpdateTracker

    java.lang.Object
      org.apache.batik.gvt.event.GraphicsNodeChangeAdapter
          org.apache.batik.gvt.UpdateTracker

All Implemented Interfaces:
  java.util.EventListener, GraphicsNodeChangeListener

public class UpdateTracker
extends GraphicsNodeChangeAdapter

This class tracks the changes on a GVT tree

Constructor Summary
`UpdateTracker()`

Method Summary
`void` | `changeStarted(GraphicsNodeChangeEvent gnce)` Recieves notification of a change to a GraphicsNode.
`void` | `clear()` Clears the tracker.
`java.util.List` | `getDirtyAreas()` Returns the list of dirty areas on GVT.
`java.awt.geom.Rectangle2D` | `getNodeDirtyRegion(GraphicsNode gn)`
`java.awt.geom.Rectangle2D` | `getNodeDirtyRegion(GraphicsNode gn, java.awt.geom.AffineTransform at)` This returns the dirty region for gn in the coordinate system given by `at.`
`boolean` | `hasChanged()` Tells whether the GVT tree has changed.

Methods inherited from class org.apache.batik.gvt.event.GraphicsNodeChangeAdapter
`changeCompleted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UpdateTracker

    public UpdateTracker()

Method Detail

### hasChanged

    public boolean hasChanged()

  Tells whether the GVT tree has changed.

### getDirtyAreas

    public java.util.List getDirtyAreas()

  Returns the list of dirty areas on GVT.

### getNodeDirtyRegion

    public java.awt.geom.Rectangle2D getNodeDirtyRegion(GraphicsNode gn,
                                                        java.awt.geom.AffineTransform at)

  This returns the dirty region for gn in the coordinate system given by `at.

  `
  Parameters:
    `gn` - Node tree to return dirty region for.
    `at` - Affine transform to coordinate space to accumulate dirty regions in.

### getNodeDirtyRegion

    public java.awt.geom.Rectangle2D getNodeDirtyRegion(GraphicsNode gn)

### changeStarted

    public void changeStarted(GraphicsNodeChangeEvent gnce)

  Recieves notification of a change to a GraphicsNode.

  Specified by:
    `changeStarted` in interface `GraphicsNodeChangeListener`
  Overrides:
    `changeStarted` in class `GraphicsNodeChangeAdapter`

### clear

    public void clear()

  Clears the tracker.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.